skip to navigation
skip to content

SoftLayer 5.1.0

A library for SoftLayer's API

This library provides a simple Python client to interact with SoftLayer’s XML-RPC API.

A command-line interface is also included and can be used to manage various SoftLayer products and services.

Documentation

Documentation for the Python client is available at http://softlayer.github.io/softlayer-python/.

Additional API documentation can be found on the SoftLayer Development Network:

Installation

Install via pip:

$ pip install softlayer

Or you can install from source. Download source and run:

$ python setup.py install

The most up-to-date version of this library can be found on the SoftLayer GitHub public repositories at http://github.com/softlayer. Please post to Stack Overflow at https://stackoverflow.com/ or open a support ticket in the customer portal if you have any questions regarding use of this library. If you use Stack Overflow please tag your posts with “SoftLayer” so our team can easily find your post.

InsecurePlatformWarning Notice

This library relies on the requests library to make HTTP requests. On Python versions below Python 2.7.9, requests has started emitting a security warning (InsecurePlatformWarning) due to insecurities with creating SSL connections. To resolve this, upgrade to Python 2.7.9+ or follow the instructions here: http://stackoverflow.com/a/29099439.

System Requirements

  • Python 2.7, 3.3 or higher.
  • A valid SoftLayer API username and key.
  • A connection to SoftLayer’s private network is required to use our private network API endpoints.
 
File Type Py Version Uploaded on Size
SoftLayer-5.1.0-py2.py3-none-any.whl (md5) Python Wheel 2.7 2016-05-12 265KB
SoftLayer-5.1.0.tar.gz (md5) Source 2016-05-12 152KB